@import "normalize.css";



/* --- FONTS --- */

@font-face { 
    font-family: "Ruda-Regular";
    src: url("Ruda-Regular.eot");
    src: url("../fonts/Ruda-Regular.eot?#iefix") format("embedded-opentype"),
        url("../fonts/Ruda-Regular.svg#Ruda-Regular") format("svg"),
        url("../fonts/Ruda-Regular.ttf") format("truetype"),
        url("../fonts/Ruda-Regular.woff") format("woff"),
        url("../fonts/Ruda-Regular.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
}

@font-face { 
    font-family: "Ruda-Black";
    src: url("../fonts/Ruda-Black.eot");
    src: url("../fonts/Ruda-Black.eot?#iefix") format("embedded-opentype"),
        url("../fonts/Ruda-Black.svg#Ruda-Black") format("svg"),
        url("../fonts/Ruda-Black.ttf") format("truetype"),
        url("../fonts/Ruda-Black.woff") format("woff"),
        url("../fonts/Ruda-Black.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
}



/* --- GENERAL --- */

:root {
    --color-whitesmoke: whitesmoke;
    --color-lightgrey: #cccccc;
    --color-black: black;
    --color-red: #d42740;
}

body {
    display: flex;
    flex-direction: column;
    font-family: "Ruda-Regular", Arial, Helvetica, sans-serif;
    background-color: var(--color-black);
}

h1, h2, h3 {
    font-family: "Ruda-Black", Arial, Helvetica, sans-serif;
    text-transform: uppercase;
    color: var(--color-whitesmoke);
}

p {
    font-size: 12px;
    color: var(--color-lightgrey);
    line-height: 1.7em; 
}



/* --- HEADER --- */

body > header {
    height: 24vh;
    min-height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;

    background-image: url("/assets/images/header-image.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
}

body > header::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.3);
}

header h1 {
    font-size: 40px;
    color: var(--color-whitesmoke);
    text-align: center;
    position: relative;
}



/* --- MAIN --- */

main {
    padding: 20px;
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
}

main > article {
    display: flex;
    flex-direction: column;
    border: 1px solid var(--color-whitesmoke);
}

.txt-articles > h2 {
    font-size: 16px;
    margin: 0;
}

.txt-articles {
    padding: 15px;
}

.txt-articles > h3 {
    font-size: 24px;
    color: var(--color-red);
    margin: 0;
}

.description-hotel {
    margin: 0;
}

.image-hotel {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px;
}

article > footer { 
    margin-top: auto;
    padding-top: 10px;
}

.button-booknow {
    background-color: var(--color-red);
    color: var(--color-whitesmoke);
    text-transform: uppercase;
    border: 0;
    padding: 10px;
    width: 100%;
    cursor: pointer;
}

.button-booknow:hover {
    color: var(--color-red);
    background-color: var(--color-whitesmoke);
}



/* --- FOOTER --- */

body > footer {
    background-color: var(--color-red);
    color: var(--color-whitesmoke);
    padding: 5px;
    text-align: center;
}



/* --- MEDIA --- */

@media (min-width: 530px) and (max-width: 760px) {
   
   
    main > article {
        display: grid;
        gap: 5px;
        grid-template-columns: 1fr 1fr auto;
    }

    .image-hotel {
        align-items: flex-start;
        padding: 15px;
    }

    .description-hotel, .txt-articles {
        grid-column: 2 / 4;
    }

    .footer-hotel {
        grid-column: 1 / 4;
    }
}

@media screen and (max-width: 320px) {
    header h1 {
        font-size: 32px;
    }

    main {
        padding: 20px;
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    }
}

/* --- ANIMATIONS --- */

/* grid hotels FADE IN when entering the website */
#hotel-1 {
    animation: fadein 1s;
}

#hotel-2 {
    animation: fadein 2s;
}

#hotel-3 {
    animation: fadein 3s;
}

#hotel-4 {
    animation: fadein 4s;
}

#hotel-5 {
    animation: fadein 5s;
}

@keyframes fadein {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

/* text header TRANSLATE  when entering the website  */

header h1 {
    animation: 2.5s fadeDown 0s;
}

@keyframes fadeDown {
    from {
        opacity: 0;
        transform: translate3d(0, -50%, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}